﻿@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@using StarterProjectV2.ViewModels
@model StarterProjectV2.ViewModels.OwnerList

@{
    ViewData["Title"] = "Owner Management";
}
@section PAGETITLE{
    Owner Management
}


<body style="background-color: oldlace">
    <div class="card" style="margin-bottom: 0">
        <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
        
        <div class="form-group row mb-3" style="display: flex; justify-content: center">
            <div class="col-sm-3 col-lg-3 col-md-3">
                @*<input value="@Model.SearchField" id="SearchField" class="form-control" type="search" placeholder="Search" aria-label="Search">*@
                @Html.DropDownListFor(m => m.SearchField, Enumerable.Empty<SelectListItem>(), new { @class = "form-control", @required = "required", @autofocus = "autofocus" })
            </div>
        </div>
        <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
            <button class="btn btn-primary" type="button" onclick="search()">Search</button>
            @*<div class="input-group-append">
                <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
            </div>*@
        </form>
        @{
            int noOfdata = Model.Owners.Count();
        }
        @if (noOfdata != 0)
        {
            <div class="table-responsive-lg p-2" style="display:block" id="table">
                <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">

                        <tr>

                            <th scope="col">Profile Picture</th>
                            <th scope="col">Smart Id</th>
                            <th scope="col">SlotId</th>
                            <th scope="col">Owner's Name</th>
                            <th scope="col">Date Of Birth</th>
                            <th scope="col">Mobile</th>
                            <th scope="col">Email</th>
                            <th scope="col">Last Edit By Owner</th>
                            <th scope="col">View</th>
                            <th scope="col">Edit</th>
                            <th scope="col">Delete</th>
                        </tr>
                    </thead>
                    <tbody id="myTable">

                        @foreach (var own in Model.Owners)
                        {
                            <tr>
                                @{
                                    var time_profile = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{

                                    if (own.PicturePath == null)
                                    {

                                        <td><img src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="64" height="64" onerror="this.onerror=null;this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';"></td>
                                    }
                                    else
                                    {
                                        var ownPicturePath = "~/upload/" + own.SlotId + ".jpg";
                                        <td>
                                            <img id="TIN-pic" src="@Url.Content(ownPicturePath+time_profile)" alt="HTML5 Icon" width="64" height="64" onerror="this.onerror = null;this.src = 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                                        </td>
                                    }
                                }
                                <td>@own.OwnerSmartId</td>
                                <td>@own.SlotId</td>
                                <td>@own.Name</td>
                                @{
                                    if (own.DateOfBirth == null)
                                    {
                                        <td></td>
                                    }
                                    else
                                    {
                                        <td>@own.DateOfBirth</td>
                                    }
                                }
                                @{
                                    if (own.Mobile == null)
                                    {
                                        <td></td>
                                    }
                                    else
                                    {
                                        <td>@own.Mobile</td>
                                    }
                                }
                                @{
                                    if (own.Email == null)
                                    {
                                        <td></td>
                                    }
                                    else
                                    {
                                        <td>@own.Email</td>
                                    }
                                }

                                @{
                                    if (own.OwnersLastEditTime == Convert.ToDateTime("2019-04-23 12:00:00.000"))
                                    {
                                        <td>Not Updated Yet</td>
                                    }
                                    else
                                    {
                                        var Time = own.OwnersLastEditTime;
                                        <td>@Time.ToString("hh:mm tt dd-MM-yyyy")</td>
                                    }
                                }
                                <td>
                                    <button type="button"
                                            class="btn btn-light"
                                            data-toggle="tooltip"
                                            data-placement="bottom"
                                            title="View"
                                            onclick="location.href = '@Url.Action("OwnersInfoView", "OwnersInfo", new {ownerId = own.OwenerId})'">
                                        <i class="icon-eye">
                                        </i>
                                    </button>
                                </td>
                                <td>
                                    <button type="button"
                                            class="btn btn-light"
                                            data-toggle="tooltip"
                                            data-placement="bottom"
                                            title="Edit"
                                            onclick="location.href = '@Url.Action("OwnersInfoEdit", "OwnersInfo", new {ownerId = own.OwenerId})'">
                                        <i class="icon-notebook">
                                        </i>
                                    </button>
                                </td>
                                <td>
                                    @using (Html.BeginForm("OwnersInfoDelete", "OwnersInfo", new { ownerId = own.OwenerId }, FormMethod.Post))
                                    {
                                        <button type="submit" disabled
                                                class="btn btn-light"
                                                data-toggle="tooltip"
                                                data-placement="bottom"
                                                title="Delete" onclick="return confirm('Are you sure?')">
                                            <i class="icon-trash">
                                            </i>
                                        </button>
                                    }
                                </td>

                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        }
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-dark" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int noOfOwnr = Model.NoOfOwner;
        }
        @*<h3>@noOfOwnr</h3>*@
        @if (noOfOwnr != 0)
        {
            <div class="table-responsive-lg" id="js-table">
                <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
            </div>
            <div class="text-center" id="message">
                <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center flex-wrap">
                            @{
                                int prev_idx = Model.index - 1;
                            }
                            <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                            <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfOwner)">« Previous</a></li>
                            @{
                                int idx = Model.index;
                                int next_idx = Model.index + 1;
                                int noOfOwner = Model.NoOfOwner;
                                if (idx <= 5)
                                {
                                    for (int i = 1; i <= 10; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfOwner - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfOwner - 9; i <= noOfOwner; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }
                            <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfOwner)">Next »</a></li>
                            <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfOwner)">Last »</a></li>
                        </ul>
                    </nav>

                </div>
            </div>

        }
    </div>
</body>

<script>
    $(function () {

        LoadSelect2("#SearchField", "/OwnersInfo/GetSlotIdList");

    });

</script>

<script>
    function editfunction(own_id) {
        window.location.href = "/OwnersInfo/OwnersInfoEdit?ownerId=" + own_id;
    }
</script>

<script>
    function viewfunction(own_id) {
        window.location.href = "/OwnersInfo/OwnersInfoView?ownerId=" + own_id;
    }
</script>
<script>
    $("#" + @Model.index).addClass("active");
    var s2 = $("#SearchField").val();
    function search() {
        var s = $("#SearchField").val();
        
        window.location.href = "../OwnersInfo/OwnerManagement?SearchField=" + s + "&index=1";
    }
</script>
<script>
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "../OwnersInfo/OwnerManagement?SearchField=" + s2 + "&index=" + i;
        }
    }
</script>
<script>
    function next(i, n) {
        if (i <= n) {
            window.location.href = "../OwnersInfo/OwnerManagement?SearchField=" + s2 + "&index=" + i;
        }
    }
</script>
<script>
    function paginationPureJS(i) {

        window.location.href = "../OwnersInfo/OwnerManagement?SearchField=" + s2 + "&index=" + i;
    }
</script>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });
    $(document).ready(function() {
        $("#newItem").click(function() {
            document.location = '@Url.Action("OwnersInfoCreate", "OwnersInfo")';
        });
        $("#reportItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });
        $('#reloadItem').click(function() {
            location.reload();
        });

        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("OwnersInfoReport", "OwnersInfo")';
        });*@
        $("#dashboardItem").click(function() {
        });
    });
</script>